Skip to main content
PUT
/
api
/
external
/
v2
/
subscription-contracts-bulk-update-line-item-attributes
Replace all line item attributes in bulk across subscription contracts
curl --request PUT \
  --url https://subscription-admin.appstle.com/api/external/v2/subscription-contracts-bulk-update-line-item-attributes \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <x-api-key>' \
  --data '
[
  {
    "key": "color",
    "value": "red"
  },
  {
    "key": "size",
    "value": "M"
  }
]
'
"<string>"

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string
required

API Key for authentication

Query Parameters

contractIds
string

Optional comma-separated list of subscription contract IDs to update. Example: 32665403611,3266540311,326654036123. Ignored if allSubscriptions=true.

allSubscriptions
boolean
default:false

If true, updates all active subscriptions of the shop. If false (default), updates only the provided contractId or contractIds.

Body

application/json

A JSON array of attributes. ⚠️ Note: Providing this array will replace all existing attributes in the specified contract. Add or update attributes carefully, as any attributes not included in the request will be removed.

key
string
value
string

Response

200 - */*

OK

The response is of type string.